    Sample the fit statistic by taking the parameter values from
    a Student's t-distribution.

t_sample(num=1, dof=None, id=None, otherids=(), numcores=None)
num - int, optional
dof - optional
id - int or str, optional
otherids - sequence of int or str, optional
numcores - optional

For each iteration (sample), change the thawed parameters by drawing values from a Student's t-distribution, and calculate the fit statistic.

The model fit to the default data set has three free parameters. The median value of the statistic calculated by

`t_sample` is returned:

>>> ans = t_sample(num=10000) >>> ans.shape (1000, 4) >>> np.median(ans[:,0]) 119.9764357725326

PARAMETERS

The parameters for this function are:

Parameter
Definition
num
The number of samples to use (default is 1).
dof
The number of degrees of freedom to use (the default is to use the number from the current fit).
id
The data set that provides the data. If not given then all data sets with an associated model are used simultaneously.
otherids
Other data sets to use in the calculation.
numcores
The number of CPU cores to use. The default is to use all the cores on the machine.

The return value from this function is:

A NumPy array table with the first column representing the statistic and later columns the parameters used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023